<?php

# Logo
$pdf->Image(ROOTDIR.'/images/logo3.jpg',20,25);

# Company Details
$pdf->SetFont('helvetica','',7);
$pdf->Cell(0,6,trim($companyaddress[0]),0,1,'R');
$pdf->SetFont('freesans','',7);
for ( $i = 1; $i <= count($companyaddress); $i += 1) {
	$pdf->Cell(0,4,trim($companyaddress[$i]),0,1,'R');
}
$pdf->Ln(4);

# Header Bar
$invoiceprefix = $_LANG["invoicenumber"];
/*
** This code should be uncommented for EU companies using the sequential invoice numbering so that when unpaid it is shown as a proforma invoice **
if ($status!="Paid") {
	$invoiceprefix = $_LANG["proformainvoicenumber"];
}
*/
$pdf->SetFont('helvetica','B',8);
$pdf->SetFillColor(239);
$pdf->Cell(0,6,$invoiceprefix.$invoicenum,0,1,'L','1');
$pdf->SetFont('helvetica','',8);
$pdf->Cell(0,6,$_LANG["invoicesdatecreated"].': '.$datecreated.'',0,1,'L','1');
$pdf->Cell(0,6,$_LANG["invoicesdatedue"].': '.$duedate.'',0,1,'L','1');
$pdf->Ln(6);

$startpage = $pdf->GetPage();

# Clients Details
$pdf->SetFont('helvetica','B',10);
$pdf->Cell(0,4,$_LANG["invoicesinvoicedto"],0,1);
$pdf->SetFont('helvetica','',8);
if ($clientsdetails["companyname"]) {
	$pdf->Cell(0,4,$clientsdetails["companyname"],0,1,'L');
	$pdf->Cell(0,4,$_LANG["invoicesattn"].": ".$clientsdetails["firstname"]." ".$clientsdetails["lastname"],0,1,'L'); } else {
	$pdf->Cell(0,4,$clientsdetails["firstname"]." ".$clientsdetails["lastname"],0,1,'L');
}
$pdf->SetFont('helvetica','',8);
$pdf->Cell(0,4,$clientsdetails["address1"],0,1,'L');
if ($clientsdetails["address2"]) {
	$pdf->Cell(0,4,$clientsdetails["address2"],0,1,'L');
}
$pdf->Cell(0,4,$clientsdetails["city"].", ".$clientsdetails["state"].", ".$clientsdetails["postcode"],0,1,'L');
$pdf->Cell(0,4,$clientsdetails["country"],0,1,'L');
$pdf->Ln(6);

$pdf->SetDrawColor(200);
$pdf->SetFont('helvetica','B',10);
$pdf->SetFillColor(239);
$pdf->Cell(140,7,$_LANG["invoicesdescription"],1,0,'C','1');
$pdf->Cell(40,7,$_LANG["invoicesamount"],1,0,'C','1');
$pdf->Ln();

$pdf->SetFont('helvetica','',9);

foreach ($invoiceitems AS $item) {

    $startx = $pdf->GetX();
    $starty = $pdf->GetY();

    $pdf->MultiCell(140,5,$item["description"],1,'L','',1);

    $finishy = $pdf->GetY();
    $pdf->SetXY($startx+140,$starty);

    $pdf->MultiCell(40,$finishy-$starty,$item["amount"],1,'C','',1);

    if ($pdf->GetY()>=250) $pdf->AddPage();
}

$pdf->SetFont('helvetica','B',9);

$pdf->Cell(140,7,$_LANG["invoicessubtotal"],1,0,'R','1');
$pdf->Cell(40,7,$subtotal,1,0,'C','1');
$pdf->Ln();

if ($taxname) {
	$pdf->Cell(140,7,$taxrate."% ".$taxname,1,0,'R','1');
	$pdf->Cell(40,7,$tax,1,0,'C','1');
	$pdf->Ln();
}

if ($taxname2) {
	$pdf->Cell(140,7,$taxrate2."% ".$taxname2,1,0,'R','1');
	$pdf->Cell(40,7,$tax2,1,0,'C','1');
	$pdf->Ln();
}

$pdf->Cell(140,7,$_LANG["invoicestotal"],1,0,'R','1');
$pdf->Cell(40,7,$total,1,0,'C','1');
$pdf->Ln();

$pdf->SetTextColor(204,0,0);
$pdf->SetFont('helvetica','',7);
$pdf->Cell(180, 7,"Please pay on or before due date to avoid disconnection.", 0, 0, 'R');
$pdf->Ln(5);
if ($notes) {
	$pdf->SetFont('helvetica','',8);
	$pdf->MultiCell(170,5,$_LANG["invoicesnotes"].": $notes");
}
$pdf->Ln(2);

$pdf->SetTextColor(102,102,102);
$pdf->SetFont('helvetica','B',8);
$pdf->Cell(0, 10,"HOW TO PAY:", 0, 0, 'L');
$pdf->Ln(4);

$pdf->SetFont('helvetica','',7);
$pdf->Cell(120, 10,"Wwwe accept payments via cash/check, bank deposit, or credit card (online).We also offer free check pick up anywhere	in Metro Manila.", 0, 0, 'L');
$pdf->Ln(4);
$pdf->Cell(120, 10,"Simply call our office (632-7205936 to 37) to give instructions.", 0, 0, 'L');
$pdf->Ln(4);

$pdf->SetTextColor(102,102,102);
$pdf->SetFont('helvetica','B',8);
$pdf->Cell(0, 10,"FOR CREDIT CARD PAYMENTS", 0, 0, 'L');
$pdf->Ln(4);

$pdf->SetFont('helvetica','',7);
$pdf->Cell(120, 10,"We will email you the link where you can pay for the services via online credit card. Simply call our office or email us at billing@webspace.ph to choose this payment method.", 0, 0, 'L');
$pdf->Ln(4);

$pdf->SetTextColor(102,102,102);
$pdf->SetFont('helvetica','B',8);
$pdf->Cell(0, 10,"FOR BANK DEPOSIT PAYMENTS", 0, 0, 'L');
$pdf->Ln(4);

$pdf->SetFont('helvetica','',6);
$pdf->Cell(40, 10,"You can make a deposit in the following banks:", 0, 0, 'L');
$pdf->Ln(5);
$pdf->Cell(10, 10,"BANK OF THE PHILIPPINE ISLANDS", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Name: Net1 Interactive Group Inc.", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Number: 9823-0083-06", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Type: Regular savings account", 0, 0, 'L');
$pdf->Ln(5);

$pdf->SetFont('helvetica','',6);
$pdf->Cell(40, 10,"BANCO DE ORO", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Name: Net1 Interactive Group Inc.", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Number: 4640072972	", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Type: Regular checking account", 0, 0, 'L');
$pdf->Ln(5);


$pdf->SetFont('helvetica','',6);
$pdf->Cell(40, 10,"METROBANK", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Name: Net1 Interactive Group Inc.", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Number: 342-3-34248802-2 ", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Account Type: Regular savings account", 0, 0, 'L');
$pdf->Ln(5);

$pdf->SetFont('helvetica','',7);
$pdf->Cell(10, 10,"After you have made your deposit, please email (billing@webspace.ph) or fax (02-7205936) the payment details to our billing  department in the following format:", 0, 0, 'L');
$pdf->Ln(4);
$pdf->Cell(10, 10,"Bank Name and Branch: the name and branch of the bank where you deposit", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Date and time of Transaction: can be found in your deposit slip", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Transaction Number / Bank Reference: can be found in your deposit slip.", 0, 0, 'L');
$pdf->Ln(4);
$pdf->Cell(10, 10,"You may also choose to fax us (02-7205936) the deposit slip", 0, 0, 'L');
$pdf->Ln(5);

$pdf->SetFont('helvetica','B',8);
$pdf->Cell(0, 10,"FOR CASH / CHECK PAYMENTS", 0, 0, 'L');
$pdf->Ln(4);
$pdf->SetFont('helvetica','',7);
$pdf->Cell(10, 10,"Cash or Check payments must be sent to our billing office at the following address:	", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Net1 Interactive Group, Inc.	Bldg. 2, Karrivin Plaza,Pasong Tamo Extn. Makati City Taguig City, NCR. Philippines", 0, 0, 'L');
$pdf->Ln(3);
$pdf->Cell(10, 10,"Telephone Number +63(2) 7205911 / (02) 7205936 - 37 Telefax Number +63(2) 7205936", 0, 0, 'L');
$pdf->Ln(5);


$pdf->SetFont('helvetica','B',6);
$pdf->Cell(0, 10,"DUE DATE", 0, 0, 'L');
$pdf->Ln(3);
$pdf->SetFont('helvetica','',6);
$pdf->Cell(10, 10,"Payment for your Total Amount Due should be made on or before your billing due date to avoid deactivation of your website / hosting", 0, 0, 'L');
$pdf->Ln(4);


$endpage = $pdf->GetPage();

$pdf->setPage($startpage);
$pdf->SetXY(120,95);
if ($status=="Cancelled") {
	$statustext = $_LANG["invoicescancelled"];
    $pdf->SetTextColor(245,245,245);
} elseif ($status=="Unpaid") {
	$statustext = $_LANG["invoicesunpaid"];
    $pdf->SetTextColor(204,0,0);
} elseif ($status=="Paid") {
	$statustext = $_LANG["invoicespaid"];
    $pdf->SetTextColor(153,204,0);
} elseif ($status=="Refunded") {
	$statustext = $_LANG["invoicesrefunded"];
    $pdf->SetTextColor(34,68,136);
} elseif ($status=="Collections") {
	$statustext = $_LANG["invoicescollections"];
    $pdf->SetTextColor(255,204,0);
}
$pdf->SetFont('helvetica','B',18);
$pdf->Cell(120,20,strtoupper($statustext),0,0,'C');
$pdf->setPage($endpage);


?>